%define name		amcl
%define version		0.6.1
%define release		3
%define prefix		/usr
%define sysconfdir	/etc

Summary: A MUD client for X.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Communications
Source0: ftp://metalab.unc.edu/pub/Linux/games/muds/amcl-0.6.1.tar.gz
Source1: amcl.desktop
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
AMCL (A simple Mud CLient) is a MUD (Multi-User Dungeon or Dimension)
client for the X Window System, written in C using the GTK+ widget
set. AMCL development plans are to eventually create a client similar
to zMUD (the most popular MUD client for Windows), but the development
process is going to be slow (don't hold your breath).

%prep
%setup -q

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" \
	./autogen.sh $ARCH_FLAGS \
	--prefix=%{prefix} \
	--sysconfdir=%{sysconfdir} \
	--disable-gnome
else
  CFLAGS="$RPM_OPT_FLAGS" \
	./configure $ARCH_FLAGS \
	--prefix=%{prefix} \
	--sysconfdir=%{sysconfdir} \
	--disable-gnome
fi

%build
make

%install
make \
	prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	install-strip

install -D -m755 $RPM_SOURCE_DIR/amcl.desktop $RPM_BUILD_ROOT/%{prefix}/share/gnome/apps/Internet/amcl.desktop

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc VERSION
%doc TODO
%doc README
%doc NEWS
%doc INSTALL
%doc ChangeLog
%doc COPYING
%doc BUGS
%doc AUTHORS
%{prefix}/bin/amcl
%{prefix}/share/gnome/apps/Internet/amcl.desktop

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Aug 2 1999 Tim Powers <timp@redhat.com>
- put correct name in Summary line
- rebuilt for 6.1

* Mon Jul 12 1999 Dale Lovelace <dale@redhat.com>
- First RPM Build
